module Sashite
  module CGN
    module Null
      PATTERN = /_/

      def self.loadable? io
        !!io.match("^#{PATTERN}$")
      end

      def self.load io = '_'
        raise ArgumentError unless loadable?(io)

        nil
      end

      def self.dumpable? io
        io.nil?
      end

      def self.dump io = nil
        raise ArgumentError unless dumpable?(io)

        '_'
      end
    end
  end
end
